#pragma once
//robotics
#include <robotics/mvc.hpp>

using namespace robotics;

/**
 * @brief 表示一个用于返回404未找到页面的响应类。
 */
class not_found_response : public v3::mvc::file_response {
public:
	not_found_response() :
		file_response("content/page/404.html",http::status::not_found) {
	}
};
/**
 * @brief 表示服务器内部错误（HTTP 500）的响应，返回指定的错误页面。
 */
class server_error_response : public v3::mvc::file_response {
public:
	server_error_response() :
		file_response("content/page/500.html", http::status::internal_server_error) {
	}
};
/**
 * @brief 表示一个用于未授权访问的HTTP响应，返回401错误页面。
 */
class unauthorized_response : public v3::mvc::file_response {
public:
	unauthorized_response() :
		file_response("content/page/401.html",http::status::unauthorized) {
	}
};
/**
 * @brief 默认页面响应类，继承自 v3::mvc::jump_response，用于跳转到“account/index”页面。
 */
class default_page_response : public v3::mvc::jump_response {
public:
	default_page_response() :
		jump_response("account/index") {
	}
};
/**
 * @brief home_page_response 类表示一个跳转到主页的响应。
 */
class home_page_response : public v3::mvc::jump_response {
public:
	home_page_response() :
		jump_response("home/index") {
	}
};